# FernUniversität in Hagen, Lehrgebiet Mensch-Computer-Interaktion
# License: Creative Commons Attribution-Noncommercial-Share Alike 3.0  Germany, see README file that comes with this work
# Author: Klaus Haeming

find_path(FFTW3_INCLUDE_DIR fftw3.h
/usr/local/include/fftw3 /usr/include/fftw
/usr/local/include /usr/include )

find_library(FFTW3_LIBRARY fftw3 
PATHS /usr/lib64 /usr/local/lib64 /usr/lib /usr/local/lib )

if(FFTW3_LIBRARY)
	set(FFTW3_FOUND "YES")
	set(FFTW3_LIBRARIES ${FFTW3_LIBRARY})
	if(NOT FFTW3_FIND_QUIETLY)
		message(STATUS "Found FFTW3: " ${FFTW3_LIBRARY})
	endif(NOT FFTW3_FIND_QUIETLY)
else(FFTW3_LIBRARY)
	set(FFTW3_FOUND "NO")
	if(FFTW3_FIND_REQUIRED)
		message(FATAL_ERROR "Could not find FFTW3 library")
	endif(FFTW3_FIND_REQUIRED)
endif(FFTW3_LIBRARY)
