

/// FernUniversität in Hagen, Lehrgebiet Mensch-Computer-Interaktion
/// License: Creative Commons Attribution-Noncommercial-Share Alike 3.0  Germany, see README file that comes with this work
/// Author: Klaus Haeming


#ifndef ADORE_IMGPROCESSINGHARRISCOMMON_H
#define ADORE_IMGPROCESSINGHARRISCOMMON_H

namespace adore
{

	namespace core
	{

		template<class inT> struct harrisOutT
		{
			typedef inT ouT;
		};//good for int, float, double
		template<> struct harrisOutT<short>
		{
			typedef int ouT;
		};
		template<> struct harrisOutT<ushort>
		{
			typedef int ouT;
		};
		template<> struct harrisOutT<char>
		{
			typedef int ouT;
		};
		template<> struct harrisOutT<uint8_t>
		{
			typedef int ouT;
		};

	}

}

#endif
