

/// FernUniversität in Hagen, Lehrgebiet Mensch-Computer-Interaktion
/// License: Creative Commons Attribution-Noncommercial-Share Alike 3.0  Germany, see README file that comes with this work
/// Author: Sergey Cheremukhin


#include "ofzstream.h"

namespace zstream
{
	using namespace std;

	ofzstream::ofzstream()
			: ostream( &buffer )
	{
	}

	ofzstream::ofzstream( const char* name )
			: ostream( &buffer )
	{
		buffer.open( name );
	}

	void ofzstream::open( const char * name )
	{
		buffer.open( name );
	}

	void ofzstream::close()
	{
		buffer.close();
	}

} //zstream


