

/// FernUniversität in Hagen, Lehrgebiet Mensch-Computer-Interaktion
/// License: Creative Commons Attribution-Noncommercial-Share Alike 3.0  Germany, see README file that comes with this work
/// Author: Klaus Haeming


#ifndef ADORE_FEATURESDESCRIPTORTYPES_H
#define ADORE_FEATURESDESCRIPTORTYPES_H

namespace adore
{
	/**
	 * the maximum number of diffenrent feature types
	 * Keep it low because some (in view.cpp) algos depend
	 * linearly on it.
	 */
	const unsigned int maxFeatureTypeNo = 5;
	const unsigned int maxDescriptorTypeNo = 5;

	enum FEATURE_TYPE
	{
		GENERIC,
		HISTOGRAMM,
		SIFT,
		GABOR,
		NUM_FEATURE_TYPES
	};
}

#endif
