# FernUniversität in Hagen, Lehrgebiet Mensch-Computer-Interaktion
# License: Creative Commons Attribution-Noncommercial-Share Alike 3.0  Germany, see README file that comes with this work
# Author: Klaus Haeming

if(NOT adrvisual_FOUND)
	set(adrvisual_relpath "../../adrvisual")
	find_path(adrvisual_INCLUDE_DIR adrvisual/glvisualizer.h ${adrvisual_relpath} /usr/local/include /usr/include)

	find_library(adrvisual_LIBRARY adrvisual
	PATHS ${PROJECT_BINARY_DIR}/${adrvisual_relpath} /usr/lib64 /usr/local/lib64 /usr/lib /usr/local/lib)

	if(NOT adrvisual_LIBRARY)
		SET(adrvisual_LIBRARY ${PROJECT_BINARY_DIR}/${adrvisual_relpath})
	endif(NOT adrvisual_LIBRARY)

	if(adrvisual_INCLUDE_DIR AND adrvisual_LIBRARY)
		set(adrvisual_FOUND "YES")
		set(adrvisual_LIBRARIES ${adrvisual_LIBRARY})	
		if(NOT adrvisual_FIND_QUIETLY)
			message(STATUS "Found adrvisual: " ${adrvisual_LIBRARY})
		endif(NOT adrvisual_FIND_QUIETLY)
	else(adrvisual_INCLUDE_DIR AND adrvisual_LIBRARY)
		set(adrvisual_FOUND "NO")
		if(adrvisual_FIND_REQUIRED)
			message(FATAL_ERROR "Could not find adrvisual library")
		endif(adrvisual_FIND_REQUIRED)
	endif(adrvisual_INCLUDE_DIR AND adrvisual_LIBRARY)
endif(NOT adrvisual_FOUND)

