

/// FernUniversität in Hagen, Lehrgebiet Mensch-Computer-Interaktion
/// License: Creative Commons Attribution-Noncommercial-Share Alike 3.0  Germany, see README file that comes with this work
/// Author: Sergey Cheremukhin


#include "ifzstream.h"

namespace zstream
{
	using namespace std;

	ifzstream::ifzstream()
			: istream( &buffer )
	{ }

	ifzstream::ifzstream( const char* name )
			: istream( &buffer )
	{
		open( name );
	}

	void ifzstream::open( const char * name )
	{
		buffer.open( name );
		if ( !buffer.is_open() )
			ios::setstate( ios_base::badbit );
		else ios::clear();
	}

	bool ifzstream::is_open()const
	{
		return buffer.is_open();
	}

	void ifzstream::close()
	{
		buffer.close();
	}


} //zstream
