

/// FernUniversität in Hagen, Lehrgebiet Mensch-Computer-Interaktion
/// License: Creative Commons Attribution-Noncommercial-Share Alike 3.0  Germany, see README file that comes with this work
/// Author: Klaus Haeming


#include "aarray.h"
#include <adrcore/util/mathutil.h>

namespace adore
{

	namespace core
	{

		AMatrix NullMatrix;
		ATensor3 NullTensor3;

		template<class T>
		AArray<T, 2> createIdentity( int dim )
		{
			AArray<T, 2> mat( dim, dim );
			setIdentity( mat );
			return mat;
		}

		AMatrixf Identity2x2f = createIdentity<float>( 2 );
		AMatrixd Identity2x2d = createIdentity<double>( 2 );


	}

}
