# FernUniversität in Hagen, Lehrgebiet Mensch-Computer-Interaktion
# License: Creative Commons Attribution-Noncommercial-Share Alike 3.0  Germany, see README file that comes with this work
# Author: Klaus Haeming

if(NOT adrcore_FOUND)
	set(adrcore_relpath "../adrcore")
	find_path(adrcore_INCLUDE_DIR adrcore/types/nview.h ${adrcore_relpath} /usr/local/include /usr/include)

	find_library(adrcore_LIBRARY adrcore
	PATHS ${PROJECT_BINARY_DIR}/${adrcore_relpath} /usr/lib64 /usr/local/lib64 /usr/lib /usr/local/lib)

	if(NOT adrcore_LIBRARY)
		SET(adrcore_LIBRARY ${PROJECT_BINARY_DIR}/${adrcore_relpath})
	endif(NOT adrcore_LIBRARY)

	if(adrcore_INCLUDE_DIR AND adrcore_LIBRARY)
		set(adrcore_FOUND "YES")
		set(adrcore_LIBRARIES ${adrcore_LIBRARY})	
		set(ADORE_CMAKE_PATH ${adrcore_INCLUDE_DIR}/adrcore/cmake )
#		message(${adrcore_INCLUDE_DIR})
#		message(${adrcore_LIBRARY})
		if(NOT adrcore_FIND_QUIETLY)
			message(STATUS "Found adrcore: " ${adrcore_LIBRARY})
		endif(NOT adrcore_FIND_QUIETLY)
	else(adrcore_INCLUDE_DIR AND adrcore_LIBRARY)
		set(adrcore_FOUND "NO")
		if(adrcore_FIND_REQUIRED)
			message(FATAL_ERROR "Could not find adrcore library")
		endif(adrcore_FIND_REQUIRED)
	endif(adrcore_INCLUDE_DIR AND adrcore_LIBRARY)
endif(NOT adrcore_FOUND)


