

/// FernUniversität in Hagen, Lehrgebiet Mensch-Computer-Interaktion
/// License: Creative Commons Attribution-Noncommercial-Share Alike 3.0  Germany, see README file that comes with this work
/// Author: Sergey Cheremukhin


#ifndef FILTERINGICONPROVIDER_H
#define FILTERINGICONPROVIDER_H

#include <QFileIconProvider>

class FilteringIconProvider : public QFileIconProvider
{
public:
	FilteringIconProvider( const QStringList & filters );
	virtual QIcon icon ( const QFileInfo & info ) const;

private:
	QStringList _filters;
	bool can_filter;
	QIcon iconTrue, iconFalse;

	void initialize();
};

#endif // FILTERINGICONPROVIDER_H
